"use strict";
var aurelia_logging_1 = require("aurelia-logging");
var dir_compare_1 = require("dir-compare");
var fs_1 = require("fs");
var path_1 = require("path");
var logger = aurelia_logging_1.getLogger('fixture');
function curryMatch(baselinePath, resultPath, t) {
    // here is ava cwd, which is the project root
    // Use this to do relative() with filename get good relative path.
    var cwd = process.cwd();
    return function match() {
        if (!fs_1.existsSync(baselinePath)) {
        }
        return dir_compare_1.compare(baselinePath, resultPath)
            .then(function (res) {
            t.is(res.differences, 0, 'Some files / folders mismatch');
            res.diffSet.forEach(function (d) {
                var filename1 = path_1.join(d.path1, d.name1);
                var filename2 = path_1.join(d.path2, d.name2);
                var file1 = fs_1.readFileSync(filename1).toString();
                var file2 = fs_1.readFileSync(filename2).toString();
                if (file1 !== file2) {
                    logger.error(path_1.relative(cwd, filename2) + " does not match with baseline");
                }
                t.is(file1, file2);
            });
        });
    };
}
exports.curryMatch = curryMatch;
//# sourceMappingURL=curryMatch.js.map